For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoicebatches

Get Invoice Batch Log by Id or Reference

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
batchIdentifierstringRequired
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Apply a separate filter to only get records that has been modified Before the specified date time.

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/InvoiceBatches/{batchIdentifier}/BatchLog
GET /InvoiceBatches/{batchIdentifier}/BatchLog HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": {
    "entityId": "123e4567-e89b-12d3-a456-426614174000",
    "errorMessage": "text",
    "reference": "text",
    "entityName": "text",
    "created": "2026-01-01T00:00:00.000Z",
    "modified": "2026-01-01T00:00:00.000Z"
  }
}

Get status on generate invoice batch job.

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
batchReferencestringRequired

Accepted references job id, batch id, batch number or event id

Header parameters
api-versionstringOptional
Responses
200

Success

application/json
resultStatusstring · enumOptionalPossible values:
statusMessagestring · nullableOptional
get/InvoiceBatches/BatchJobStatus/{batchReference}/Generated
GET /InvoiceBatches/BatchJobStatus/{batchReference}/Generated HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "resultBody": {
    "batchId": "123e4567-e89b-12d3-a456-426614174000",
    "batchNumber": "text",
    "eventId": "text",
    "message": "text"
  },
  "resultStatus": "Pending",
  "statusMessage": "text"
}

Get status on posted invoice batch job.

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
batchReferencestringRequired

Accepted references job id, batch id, batch number or event id

Header parameters
api-versionstringOptional
Responses
200

Success

application/json
resultStatusstring · enumOptionalPossible values:
statusMessagestring · nullableOptional
get/InvoiceBatches/BatchJobStatus/{batchReference}/Posted
GET /InvoiceBatches/BatchJobStatus/{batchReference}/Posted HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "resultBody": [
    {
      "batchId": "123e4567-e89b-12d3-a456-426614174000",
      "batchNumber": "text",
      "eventId": "text",
      "message": "text"
    }
  ],
  "resultStatus": "Pending",
  "statusMessage": "text"
}

Generate Invoice Batch

post

Generate invoice batch by running generate invoice batch job. Status on jobs can obtained by batch jobs status endpoints or found in settings > scheduled jobs in the UI.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
invoiceDatestring · date-time · nullableOptional
targetDatestring · date-time · nullableOptional
invoiceAllAccountsbooleanOptional
invoiceAllBatchGroupsbooleanOptional
accountsstring · uuid[] · nullableOptional
invoiceBatchGroupsstring · uuid[] · nullableOptional
minimumInvoiceAmountnumber · double · nullableOptional
ensureWebhooksAreEnabledbooleanOptional
jobDescriptionstring · nullableOptional
Responses
200

Success

application/json
batchNumberstring · nullableOptional
jobIdstring · uuid · nullableOptional
resultStatusstring · enumOptionalPossible values:
webhooksTriggeredWhenCompletedbooleanOptional
webhookEventstring · nullableOptional
eventIdstring · nullableOptional
idstring · uuid · nullableOptional
messagestring · nullableOptional
post/InvoiceBatches
POST /InvoiceBatches HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 563

{
  "invoiceDate": "2026-01-01T00:00:00.000Z",
  "customizedTargetDates": {
    "oneOff": "2026-01-01T00:00:00.000Z",
    "recurringInAdvance": "2026-01-01T00:00:00.000Z",
    "recurringInArrears": "2026-01-01T00:00:00.000Z",
    "usage": "2026-01-01T00:00:00.000Z",
    "measured": "2026-01-01T00:00:00.000Z"
  },
  "targetDate": "2026-01-01T00:00:00.000Z",
  "invoiceAllAccounts": true,
  "invoiceAllBatchGroups": true,
  "accounts": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "invoiceBatchGroups": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "minimumInvoiceAmount": 1,
  "ensureWebhooksAreEnabled": true,
  "jobDescription": "text"
}
{
  "batchNumber": "text",
  "jobId": "123e4567-e89b-12d3-a456-426614174000",
  "resultStatus": "Pending",
  "webhooksTriggeredWhenCompleted": true,
  "webhookEvent": "text",
  "webhooks": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text"
    }
  ],
  "eventId": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "message": "text"
}

Get InvoiceBatches

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Apply a separate filter to only get records that has been modified Before the specified date time.

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/InvoiceBatches
GET /InvoiceBatches HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "batchNumber": "text",
      "targetDate": "2026-01-01T00:00:00.000Z",
      "invoiceDate": "2026-01-01T00:00:00.000Z",
      "batchGroups": [
        "text"
      ],
      "invoices": [
        {
          "invoiceNumber": "text",
          "status": "Draft",
          "invoiceDate": "2026-01-01T00:00:00.000Z",
          "currency": "text",
          "subtotal": 1,
          "totalAmount": 1,
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "externalERPId": "text",
          "externalCRMId": "text"
        }
      ],
      "batchLog": [
        {
          "entityId": "123e4567-e89b-12d3-a456-426614174000",
          "errorMessage": "text",
          "reference": "text",
          "entityName": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Post Invoice Batch

post

Post invoice batch by running post invoice batch job. Status on jobs can obtained by batch jobs status endpoints or found in settings > scheduled jobs in the UI

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
ensureWebhooksAreEnabledbooleanOptional
jobDescriptionstring · nullableOptional
Responses
200

Success

application/json
batchNumberstring · nullableOptional
jobIdstring · uuid · nullableOptional
resultStatusstring · enumOptionalPossible values:
webhooksTriggeredWhenCompletedbooleanOptional
webhookEventstring · nullableOptional
eventIdstring · nullableOptional
idstring · uuid · nullableOptional
messagestring · nullableOptional
post/InvoiceBatches/{id}/Post
POST /InvoiceBatches/{id}/Post HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "ensureWebhooksAreEnabled": true,
  "jobDescription": "text"
}
{
  "batchNumber": "text",
  "jobId": "123e4567-e89b-12d3-a456-426614174000",
  "resultStatus": "Pending",
  "webhooksTriggeredWhenCompleted": true,
  "webhookEvent": "text",
  "webhooks": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "text"
    }
  ],
  "eventId": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "message": "text"
}

Get InvoiceBatches by Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
batchNumberstring · nullableOptional
targetDatestring · date-time · nullableOptional
invoiceDatestring · date-timeOptional
batchGroupsstring[] · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
get/InvoiceBatches/{id}
GET /InvoiceBatches/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "batchNumber": "text",
  "targetDate": "2026-01-01T00:00:00.000Z",
  "invoiceDate": "2026-01-01T00:00:00.000Z",
  "batchGroups": [
    "text"
  ],
  "invoices": [
    {
      "invoiceNumber": "text",
      "status": "Draft",
      "invoiceDate": "2026-01-01T00:00:00.000Z",
      "currency": "text",
      "subtotal": 1,
      "totalAmount": 1,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text"
    }
  ],
  "batchLog": [
    {
      "entityId": "123e4567-e89b-12d3-a456-426614174000",
      "errorMessage": "text",
      "reference": "text",
      "entityName": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?